select
  an.numero as numero_vaca
  , cria.numero as numero_cria
  , pe.dtpeso as data_peso
  , pe.peso as peso
  , tipo.descricao as tipo_pesagem
  , pe.gmd as ganho_peso  
  , pesant.dtpeso as data_peso_anterior
  , pesant.peso as peso_anterior
  , cria.dtbaixa as data_abate_cria
  , mb.descricao as motivo_baixa
from                                                                
  animal an
  join reproducao par on par.cdanimal = an.cdanimal and par.cdtiporeproducao = 7
  join animal cria on cria.cdanimal =
    (select first 1 re.cdanimal from animal re where re.cdreproducao is not null and re.cdreproducao = par.cdreproducao)
  join estacaoanimal ea on ea.cdanimal = an.cdanimal
  join estacao es on es.cdestacao = ea.cdestacao
  join peso pe on pe.cdanimal = cria.cdanimal 
  left join peso pesant on pesant.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe.cdanimal and re.dtpeso < pe.dtpeso order by re.dtpeso desc)
  left join motivobaixa mb on mb.cdmotivobaixa = an.cdmotivobaixa
  left join tipopeso tipo on tipo.cdtipopeso = pe.cdtipopeso
where
  an.dtbaixa is null
  and upper(es.descricao) like '%16%'
  and upper(es.descricao) like '%17%'
order by
  cria.numero, pe.dtpeso
